﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace TelerikWpfRadComboBoxTest
{

    public class CustomItem : INotifyPropertyChanged
    {
        public CustomItem()
        {
        }

        public CustomItem(string name, int id)
        {
            itemName = name;
            itemId = id;
        }

        private string itemName;
        public string ItemName
        {
            get {return itemName;}
            set 
            {
                itemName = value;
                OnPropertyChanged("ItemName");
            }   
        }

        private int itemId;
        public int ItemId
        {
            get { return itemId; }
            set 
            {
                itemId = value;
                OnPropertyChanged("ItemId");
            }   
        }

        public event PropertyChangedEventHandler PropertyChanged;

        protected void OnPropertyChanged(string info)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(info));
            }
        }
    }

    public class ItemCollection : ObservableCollection<CustomItem>
    {
        public ItemCollection()
            : base()
        {
        }
    }

    public class ObsColl2
    {
        private ObservableCollection<CustomItem> customItems;
        public ObservableCollection<CustomItem> CustomItems
        {
            get
            {
                if (customItems == null)
                {
                    customItems = new ObservableCollection<CustomItem>();

                    customItems.Add(new CustomItem("One", 1));
                    customItems.Add(new CustomItem("Two", 2));
                    customItems.Add(new CustomItem("Three", 3));
                }
                return customItems;
            }
        }
    }

    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

    }


}
